Installer - Download funktioniert nicht

Moderator: pandel

Benutzeravatar
GEI
Beiträge: 170
Registriert: 12 Feb 2010, 13:00
Wohnort: Braunschweig
Kontaktdaten:

Installer - Download funktioniert nicht

Beitragvon GEI » 08 Mär 2017, 10:40

hi Pandel,

ich bekomme ein "Denied 403" beim Downloadversuch der Win-Version ...
https://opsipackagebuilder.s3.amazonaws ... v8.1.4.exe
Georg-Eckert-Institut - Leibniz-Institut für internationale Schulbuchforschung (GEI)
---
'opsi4instituts' = Communityprojekt für wissenschaftliche Einrichtungen
offenes Repository, Update-Notifier
http://www.gei.de/o4i - https://opsi.wzb.eu/wiki

pandel
Beiträge: 560
Registriert: 25 Jan 2013, 16:47

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon pandel » 08 Mär 2017, 11:16

Es tut mir sehr leid! Die 8.1.5 ist jetzt online und erreichbar!

Benutzeravatar
GEI
Beiträge: 170
Registriert: 12 Feb 2010, 13:00
Wohnort: Braunschweig
Kontaktdaten:

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon GEI » 12 Mär 2017, 06:50

pandel hat geschrieben:Es tut mir sehr leid! Die 8.1.5 ist jetzt online und erreichbar!


der DFN-Notify geht seit heute morgen auch wieder für dieses SW-Produkt ... ;-) (dropbox --> amazonaws)

Code: Alles auswählen

20170312 Krummel: oPB-python    #DOWNLOAD_LINK="`cat $STATUS_FILE |  grep 'dropbox' | cut -d'=' -f3 | cut -d'"' -f2`"
20170312 Krummel: oPB-python    DOWNLOAD_LINK="`cat $STATUS_FILE |  grep 'amazonaws' | cut -d'=' -f3 | cut -d'"' -f2`"          # 2017-03-12 Krummel
20170312 Krummel: oPB-python    #DOWNLOAD_FILENAME="`echo $DOWNLOAD_LINK | cut -d'/' -f8`"
20170312 Krummel: oPB-python    DOWNLOAD_FILENAME="`echo $DOWNLOAD_LINK | cut -d'/' -f6`"                                       # 2017-02-12 Krummel

Code: Alles auswählen

root@opsi:~/o/oPB-python# ./opsicheck_oPB-python.sh DISPLAY
Working Path: /home/opsiproducts/Paketerstellung/oPB-python
... checke CLIENT_DATA
OPSI-DEPOT  ->    Version:
CLIENTDATA  ->    Version: 8.1.4    Filename: opsiPackageBuilder-v8.1.4.exe
... downloading STATUS (Version, Link)
DOWNLOAD    ->    Version: 8.1.5    Filename: opsiPackageBuilder-v8.1.5.exe
                     Link: https://opsipackagebuilder.s3.amazonaws.com/opsiPackageBuilder/python/opsiPackageBuilder-v8.1.5.exe

PS:
Hinweise zum kostenlosen Update-Benachrichtungsservice (DFN-Notify) nun unter https://opsi.wzb.eu/wiki/index.php/Update-Notify/Public
Georg-Eckert-Institut - Leibniz-Institut für internationale Schulbuchforschung (GEI)
---
'opsi4instituts' = Communityprojekt für wissenschaftliche Einrichtungen
offenes Repository, Update-Notifier
http://www.gei.de/o4i - https://opsi.wzb.eu/wiki

pandel
Beiträge: 560
Registriert: 25 Jan 2013, 16:47

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon pandel » 13 Mär 2017, 10:38

Ah jo! Hey, danke dir! Das mit Dropbox hat mich eh schon so genervt, da hab ich das total vergessen und war froh, eine brauchbare Alternative gefunden zu haben. Sonst hätte ich ja mal Bescheid geben können :oops: ;)

Benutzeravatar
GEI
Beiträge: 170
Registriert: 12 Feb 2010, 13:00
Wohnort: Braunschweig
Kontaktdaten:

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon GEI » 13 Mär 2017, 17:55

pandel hat geschrieben:eine brauchbare Alternative gefunden zu haben.

wirst du dahin auch ein fertiges OPSI-Paket 'oPB-python' legen?
Zuletzt geändert von GEI am 14 Mär 2017, 05:55, insgesamt 1-mal geändert.
Georg-Eckert-Institut - Leibniz-Institut für internationale Schulbuchforschung (GEI)
---
'opsi4instituts' = Communityprojekt für wissenschaftliche Einrichtungen
offenes Repository, Update-Notifier
http://www.gei.de/o4i - https://opsi.wzb.eu/wiki

pandel
Beiträge: 560
Registriert: 25 Jan 2013, 16:47

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon pandel » 14 Mär 2017, 02:41

Öhhh :?: Was meinst du damit genau? Was soll denn in diesem Paket sein? Die Linux Variante?

Benutzeravatar
GEI
Beiträge: 170
Registriert: 12 Feb 2010, 13:00
Wohnort: Braunschweig
Kontaktdaten:

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon GEI » 14 Mär 2017, 05:56

pandel hat geschrieben:Öhhh :?: Was meinst du damit genau? Was soll denn in diesem Paket sein? Die Linux Variante?

hmm, habs wohl schlecht ausgedrückt...
Ein *.opsi.
Georg-Eckert-Institut - Leibniz-Institut für internationale Schulbuchforschung (GEI)
---
'opsi4instituts' = Communityprojekt für wissenschaftliche Einrichtungen
offenes Repository, Update-Notifier
http://www.gei.de/o4i - https://opsi.wzb.eu/wiki

pandel
Beiträge: 560
Registriert: 25 Jan 2013, 16:47

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon pandel » 14 Mär 2017, 11:08

AAARRGGGG! Auch da hab ich beim Link gepennt! Sorry! War die ganze Zeit schon online ;-) und jetzt sollte der Link auch wieder funktionieren...

ngbr
Beiträge: 119
Registriert: 27 Sep 2010, 11:41

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon ngbr » 04 Apr 2017, 22:27

moin Holger,

ganz vielen Dank erstmal für dein Initiative, ein so brauchbares Paketierungs-Tool bereitzustellen .. Klasse !!
komme endlich dazu, es auch mal auf Linux einsetzen zu wollen, das Self-Contained - Paket (deb) lädt. Da ich aber ein alien machen will (um nach rpm zu konvertieren) denke ich mal, daß das Paket ohne Python3 geeigneter sein sollte ;)
Daher habe ich https://opsipackagebuilder.s3.amazonaws ... _amd64.deb aufgerufen, aber da bekommt man dat hier .. :

Code: Alles auswählen

This XML file does not appear to have any style information associated with it. The document tree is shown below.
<Error>
<Code>AccessDenied</Code>
<Message>Access Denied</Message>
<RequestId>C75CC3696964D01C</RequestId>
<HostId>
MWWjTxKfwKRy/GaHgtZ9ZmtAbNg7zzRNZIDxe1dZb36zMak6quslWzT4XJ2zBmb+m6fE+ePOtjw=
</HostId>
</Error>


dir sagt das sicher mehr als mir, vielleicht hast du ja eine Idee ;)

viele Grüße!
---
hoping to help :)

if your problem was solved, pls mark this thread as 'SOLVED'. thank you

Andre

pandel
Beiträge: 560
Registriert: 25 Jan 2013, 16:47

Re: [Tool] opsi PackageBuilder - Python Edition

Beitragvon pandel » 05 Apr 2017, 18:27

Hi!

Lieben Dank für's Kompliment!

Tja, und wenn ich dann irgendwann auch mal alle Links richtig hab, dann klappt's auch mit dem Download :oops: Der Link hatte auch ne Macke, nimm mal den hier: klickmich
Ich hab's auch im ersten Post korrigiert...

Ich gebe nur zu bedenken, dass ich die Version schon lange nicht mehr unter Linux getestet habe, weil ich einfach nicht dazu komme. Schreibe mir das aber mal auf die Fahne, dass ich wenigstens ausprobiere, ob es ich noch starten lässt ;-))

Welche OS Version Linux würdest du denn am ehesten nehmen? Mein Debian, was ich in der Test VM hab, ist auch schon wieder von anno Tobak...

Lieber Gruß
Holger


Zurück zu „OPSI PackageBuilder“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast